#!/usr/bin/python
# -*- coding: latin-1 -*-

#Copyright (C) 2006  Inmaculada Luengo Merino, Néstor Arocha Rodríguez

#This file is part of Driza.
#
#Driza is free software; you can redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#Driza is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with Driza; if not, write to the Free Software
#Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#textBrowser1: La ventana con las opciones
#pixmapLabel1: La fotografia


from uidsplash import DialogoSplash
from qt import *


#Hace falta una lista de documentos recientemente abiertos en vprincipal


class DSplash(DialogoSplash):
	"""Dialogo que se muestra al principio de la ejecucion del programa"""
	def __init__(self,parent=None,name=None,modal=0,fl=0):
		DialogoSplash.__init__(self,parent,name,modal,fl)
		self.pixmapLabel1.setPixmap(QPixmap("images/driza.png"))
		self.textohtml="<table> \\ <tr><td><a href=\"nuevo\">Nuevo Archivo</a></td></tr> <tr> <td><a href=\"abrir\">Abrir fichero</a></td></tr> "
		for i in range(5):
			try: 
				nfichero=self.parent().parent().config["lfichero"][i]
				ristra="<tr><td><a href=\"%d\">%s</a></td></tr>" % (i,nfichero)
				self.textohtml+=ristra
			except:
				i=4
		self.textohtml+="<tr><td><a href=\"salida\">Dialogo de salida</a></td></tr></table>"
		self.conexiones()
		self.__rellenartextbrowser()


	def conexiones(self):
		self.connect(self.textBrowser1,SIGNAL("linkClicked(const QString & )"),self.__enlace)
		#self.connect(self.textBrowser1,SIGNAL("sourceChanged ( const QString &)"),self.__cambiarfuente)


	def __rellenartextbrowser(self):
		self.textBrowser1.append(self.textohtml)
	def __enlace(self,parametro):
		if parametro=="nuevo":
			self.textBrowser1.setSource("")
			self.accept()
		if parametro=="abrir":
			self.textBrowser1.setSource("")
			self.parent().abrirfichero()
			self.accept()
		if parametro=="0":
			self.textBrowser1.setSource("")
			self.parent().parent().cargarfichero(self.parent().parent().config["lfichero"][0])
			self.accept()

		if parametro=="salida":
			self.textBrowser1.setSource("")
			self.parent().hide()
			self.parent().parent().vsalida.show()
			self.accept()

		return

